Error
A valid request URL is required to generate request examples{
"success": true,
"releases": [
{
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}List releases
GET
/
api
/
cicd
/
v1
/
projects
/
{projectId}
/
releases
Error
A valid request URL is required to generate request examples{
"success": true,
"releases": [
{
"_id": "<string>",
"tenantId": "<string>",
"projectId": "<string>",
"status": "building",
"source": {
"kind": "git",
"ref": {
"branch": "<string>",
"tag": "<string>"
},
"commitSha": "<string>"
},
"contentIntegrity": "<string>",
"version": "<string>",
"entityManifestHash": "<string>",
"deploymentSummaryByEnvironment": {}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}List releases for the project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
UUID v7; must be in the key/token's projectIds.
Query Parameters
Required range:
x >= 1Required range:
x >= 0Was this page helpful?